Class | Iconv
In: | lib/gettext/iconv.rb
Parent: | Object

Pseudo Iconv class

Provides Iconv.iconv which uses Ruby/GLib(1) functions. This library also required from ‘gettext’. If you require ‘gettext/iconv’, Iconv.iconv try to call Ruby/GLib function when it doesn‘t find original Iconv class(iconv.so).

(1) Ruby/GLib is a module which is provided from Ruby-GNOME2 Project. You can get binaries for Win32(One-Click Ruby Installer). <URL: ruby-gnome2.sourceforge.jp/>

### Methods

conv conv iconv

### Classes and Modules

Module Iconv::Failure
Class Iconv::IllegalSequence
Class Iconv::InvalidCharacter
Class Iconv::InvalidEncoding

### Public Class methods

conv(to, from, str)
conv(to, from, str)

This is a function equivalent of Iconv.iconv.

- to: encoding name for destination
- from: encoding name for source
- str: strings to be converted
- Returns: Returns an Array of converted strings.

iconv(to, from, str)

[Validate]